<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="ActivityType">
    <xs:annotation>
      <xs:appinfo>
        <sifChar />
        <privacyRating>Low</privacyRating>
      </xs:appinfo>
      <xs:documentation>
        The work assigned to students, an educational event planned by a teacher to deliver a particular educational concept
        or skill.
      </xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="Title" minOccurs="0" nillable="true" type="xs:normalizedString">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Descriptive name of the activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="Preamble" minOccurs="0" nillable="true" type="xs:string">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Description and context for the activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="TechnicalRequirements" minOccurs="0" nillable="true" type="TechnicalRequirementsType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>List of Operating system, network, and other technical requirements for the activity, if applicable.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="SoftwareRequirementList" minOccurs="0" nillable="true" type="SoftwareRequirementListType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Contains information about required software.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="EssentialMaterials" minOccurs="0" nillable="true" type="EssentialMaterialsType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Essential materials required to engage in this activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="LearningObjectives" minOccurs="0" nillable="true" type="LearningObjectivesType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Educational objectives of the activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="LearningStandards" minOccurs="0" nillable="true" type="LearningStandardsType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Associated LearningStandardItemobjects.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="SubjectArea" minOccurs="0" nillable="true" type="SubjectAreaType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation />
        </xs:annotation>
      </xs:element>
      <xs:element name="Prerequisites" minOccurs="0" nillable="true" type="PrerequisitesType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Skills or competencies the student must have to engage in activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="Students" minOccurs="0" nillable="true" type="StudentsType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Links to any students or group or category of students that this activity is for.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="SourceObjects" minOccurs="0" nillable="true" type="SourceObjectsType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Source objects assigned to students.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="Points" minOccurs="0" nillable="true" type="xs:unsignedInt">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Number of possible points for an activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="ActivityTime" type="ActivityTimeType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>M</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Time structures for the activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="AssessmentRefId" minOccurs="0" nillable="true" type="IdRefType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Link to the SIF Assessment object containing the evaluation information for this activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="MaxAttemptsAllowed" minOccurs="0" nillable="true" type="xs:unsignedInt">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>How many tries allowed.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="ActivityWeight" minOccurs="0" nillable="true" type="xs:decimal">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>The percentage weight of the activity during the particular course or term.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="Evaluation" minOccurs="0" nillable="true">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Description" minOccurs="0" nillable="true" type="xs:string">
              <xs:annotation>
                <xs:appinfo>
                  <sifChar>O</sifChar>
                  <privacyRating>Low</privacyRating>
                </xs:appinfo>
                <xs:documentation>A free text description of the evaluation to be used for this activity</xs:documentation>
              </xs:annotation>
            </xs:element>
          </xs:sequence>
          <xs:attribute name="EvaluationType" use="required">
            <xs:annotation>
              <xs:appinfo>
                <sifChar>M</sifChar>
                <privacyRating>Low</privacyRating>
              </xs:appinfo>
              <xs:documentation>A qualifer for what type of evaluation this is. Valid values are "Inline" and "RefId". Inline values are contained in the optional Description element, RefIds are contained in the AssessmentRefId element.</xs:documentation>
            </xs:annotation>
            <xs:simpleType>
              <xs:restriction base="xs:token">
                <xs:enumeration value="Inline" />
                <xs:enumeration value="RefId" />
              </xs:restriction>
            </xs:simpleType>
          </xs:attribute>
        </xs:complexType>
      </xs:element>
      <xs:element name="LearningResources" minOccurs="0" nillable="true" type="LearningResourcesType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>Learning resources that support this activity.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation />
        </xs:annotation>
      </xs:element>
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation />
        </xs:annotation>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType">
      <xs:annotation>
        <xs:appinfo>
          <sifChar>M</sifChar>
          <privacyRating>Low</privacyRating>
        </xs:appinfo>
        <xs:documentation />
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>

  <xs:element name="Activity" type="ActivityType">
    <xs:key name="ActivityKey1">
      <xs:selector xpath="./Activity" />
      <xs:field xpath="@RefId" />
    </xs:key>
  </xs:element>

  <xs:complexType name="ActivityCollectionType">
    <xs:sequence>
      <xs:element name="Activity" type="ActivityType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="Activitys" type="ActivityCollectionType" />

</xs:schema>